<%- include('../includes/head.ejs') %>
    </head>

    <body>
        <%- include('../includes/navigation.ejs') %>
        <main>
            <% if (prods.length > 0) { %>
                <div class="grid">
                    <% for (let product of prods) { %>
                        <article class="card product-item">
                            <header class="card__header">
                                <h1 class="product__title">
                                    <%= product.product.title %>
                                </h1>
                            </header>
                            <!-- <div class="card__image">
                                <img src="<%= product.imageUrl %>" alt="<%= product.title %>">
                            </div> -->
                            <div class="card__content">
                                <h2 class="product__price">$
                                    <%= product.product.price %>
                                </h2>
                                <h3 class="product__price">Qty:
                                    <%= product.quantity %>
                                </h3>
                            </div>
                        </article>
                        <% } %>
                    </div>
                    <h2 class="centered">Total: <%= totalSum %></h2>
                    <div class="centered">
                        <button class="btn" id="order-btn">Order</button>
                        <script src="https://js.stripe.com/v3/"></script>
                        <script>
                            var stripe = Stripe('pk_test_51J9u22FdSNhZtKCN8CMwq6k9pCXzvsA5YjGNYALOpk90iNOLDOuO9SiHbnbJ2e8t5yohfBHgw1Ykyjbc15VQAEPu004cLQsDKn');
                            var orderBtn = document.getElementById('order-btn');
                            orderBtn.addEventListener('click', () => {
                                stripe.redirectToCheckout({
                                    sessionId: '<%= sessionId %>'
                                });
                            });
                        </script>
                    </div>

                    <!-- <hr />
                    <div class="centered">
                        <form action="/create-order" method="POST">
                            <input type="hidden" name="_csrf" value="<%= csrfToken %>" />
                            <button class="btn">Order now</button>
                        </form>
                    </div> -->
                <% } else { %>
                    <h1>No Products Found!</h1>
                <% } %>
        </main>
        <%- include('../includes/end.ejs') %>